﻿using Hotline.Application.ExportWord;
using Hotline.Orders;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;

namespace Hotline.Api.Controllers
{
    public class ExportWordController : BaseController
    {
        private readonly IOrderRepository _orderRepository;
        public ExportWordController(IOrderRepository orderRepository)
        {
            _orderRepository = orderRepository;
        }

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        [AllowAnonymous]
        [HttpGet("gettestword")]
        public async Task<IActionResult> gettest()
        {
            var streams = new Dictionary<string, Stream>();
            //foreach (var item in Ids)
            //{
            //  var order=  await _orderRepository.GetAsync(item, HttpContext.RequestAborted);
            //}
            for (var i = 0; i < 5; i++)
            {
                ExportTest exportTest = new ExportTest
                {
                    Title = "来测试一下" + i
                };
                string visit = "";
                for (int j = 0; j < 3; j++)
                {
                    if (j > 0)
                        visit += " \n";

                    visit += "回访部门：测试部门" + j;
                    visit += " \n办件结果：满意         办事态度：不满意";
                }

                exportTest.VisitOrg = visit;
                var path = $"{Environment.CurrentDirectory}/Template/交办单模板.doc";
                streams.Add(exportTest.Title + path.Substring(path.LastIndexOf(".")), WordHelper.WordStream(path, exportTest));
            }


            //调用压缩方法 进行压缩 (接收byte[] 数据)
            byte[] fileBytes = WordHelper.ConvertZipStream(streams);
            HttpContext.Response.Headers.Add("Access-Control-Expose-Headers", "Content-Disposition");
            var name = DateTime.Now.ToString("yyMMddHHMMss");
            return File(fileBytes, "application/octet-stream", $"{name}.zip");

        }



    }
}
